Subject: [PATCH] _AM_PROG_CC_C_O: clean up after .dSYM directories properly

From: Eric Gallager <[email-masked]>
Date: Sun, 21 Jul 2024 05:20:10 -0400

On darwin, the compiler will generate .dSYM directories (for debug
info) alongside executables when invoked, leading to messages like the
following in configure output:

checking whether /usr/local/bin/gcc understands -c and -o together...
rm: conftest.dSYM: is a directory
yes

The attached patch ought to fix this by passing the -r flag to the rm
invocation that's meant to clean up the conftests. One concern,
though, is that in the same invocation, it also tries to remove
anything called "core", so I worry what might happen with this change
if "core" happens to be a directory... should I handle that
separately?
Thanks,
Eric Gallager